Subject: Re: 23.3; Can't visit VMS file from Windows Emacs 23.3.1

From: Michael Albinus <[email-masked]>
Date: Tue, 30 Aug 2011 10:57:05 +0200

[email-masked] writes:

Hi Alan,

> I know next-to no emacs LISP, but I am an experienced programmer and
> I've had a go at debugging this by sprinkling (message ... ...) calls
> around the code. As far as I can make out, something outside amg-ftp is
> calling ange-ftp-send-cmd with the command "dir /$DISK1!/". I believe it
> is that that is casuing the problem, but I can't work out why this
> command is being attempted.
>
> For what it's worth, if I connect to machin from a DOS box and type PWD,
> the response is
>
>     "$DISK1:[GRUNWALD]" is current directory.
>
> It seems to me that the exclamation mark between DISK1 and the slash is
> causing the problem, but I've no idea where it's coming from.

I have no access to a VAX any longer (for 15 years or so), and from
reading the sources in ange-ftp.el I cannot find the problem.

Could you, please, apply the following:

(require 'ange-ftp)
(require 'trace)
(dolist (elt (all-completions "ange-ftp-" obarray 'functionp))
  (trace-function-background (intern elt)))

Then rerun your test and show the contents of the buffers

  *ftp ...*
  *trace-output*

Check the buffers, that they do not contain sensitive information like
your password, before sending.

> Thanks,
> Alan

Best regards, Michael.